# Global Search

## [v0.23.0](https://github.com/Oppzippy/GlobalSearch/tree/v0.23.0) (2024-03-24)
[Full Changelog](https://github.com/Oppzippy/GlobalSearch/compare/v0.22.9...v0.23.0) [Previous Releases](https://github.com/Oppzippy/GlobalSearch/releases)

- BagsSearchProvider: fix error when item name is nil  
- Add full text search context tests  
- AddString should not be private  
- Add Chinese support for full text search  
- Fix CharToUpper when used on uppercase letters  
- Fix usage of utf8 unaware string functions in providers  
    This was creating invalid utf8 strings, leading to errors in  
    UTF8.ToCodePoints  
- Precalculate mapped values in table UnicodeMatcher  
- Fix inconsistent naming  
- Update Interface version (#35)  
    Automated changes by
  
    [create-pull-request](https://github.com/peter-evans/create-pull-request)
  
    GitHub action
  
    Co-authored-by: Oppzippy <2236514+Oppzippy@users.noreply.github.com>  
- Optimize unicode matcher  
    Three implementations are available for different use cases.  
    I tried having the iteration implementation instead be a binary search,  
    but it performed significantly worse on the mapToLowercase matcher, even  
    when inlining Util.BinarySearch and the comparator.  
- Refactor unicode range matching  
    This is likely a decent performance hit. UnicodeMatcher still has a lot  
    of room for optimization, whether that's using binary search, generating  
    a function and using loadstring, or something else.  
- Organize UTF8 functions  
- Improve performance when all characters are one byte  
    If all charcaters are one byte, we don't have to shift the match range  
    start/end indexes to account for multibyte characters.  
- UTF8 case insensitivity for WoW's languages  
- Bump actions/checkout from 3 to 4 (#34)  
- Bump peter-evans/create-pull-request from 4 to 6 (#33)  
- Add dependabot.yml  
- Install lua-bitop in CI for tests  
- UTF8 aware short text search  
    This fixes issues with Chinese, Korean, Russian, and possibly other languages.  
